## EogPropertiesDialog

EogPropertiesDialog

## Functions

GtkWidget * | eog_properties_dialog_new ()
void | eog_properties_dialog_update ()
void | eog_properties_dialog_set_page ()
void | eog_properties_dialog_set_netbook_mode ()

## Properties

gboolean | netbook-mode | Read / Write
gchar * | next-action | Read / Write / Construct Only
gchar * | prev-action | Read / Write / Construct Only
EogThumbView * | thumbview | Read / Write / Construct Only

## Types and Values

enum | EogPropertiesDialogPage
struct | EogPropertiesDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── EogPropertiesDialog

## Implemented Interfaces

EogPropertiesDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### eog_properties_dialog_new ()

    GtkWidget *
    eog_properties_dialog_new (GtkWindow *parent,
                               EogThumbView *thumbview,
                               const gchar *next_image_action,
                               const gchar *previous_image_action);

If `parent` implements GActionMap its actions will be automatically inserted in the "win" namespace.

#### Parameters

parent | the dialog's parent window |

#### Returns

a new EogPropertiesDialog.

[transfer full][type EogPropertiesDialog]

### eog_properties_dialog_update ()

    void
    eog_properties_dialog_update (EogPropertiesDialog *prop,
                                  EogImage *image);

### eog_properties_dialog_set_page ()

    void
    eog_properties_dialog_set_page (EogPropertiesDialog *prop,
                                    EogPropertiesDialogPage page);

### eog_properties_dialog_set_netbook_mode ()

    void
    eog_properties_dialog_set_netbook_mode
                                   (EogPropertiesDialog *dlg,
                                    gboolean enable);

## Types and Values

### enum EogPropertiesDialogPage

#### Members

EOG_PROPERTIES_DIALOG_PAGE_GENERAL |  |
EOG_PROPERTIES_DIALOG_PAGE_EXIF |  |
EOG_PROPERTIES_DIALOG_PAGE_DETAILS |  |
EOG_PROPERTIES_DIALOG_N_PAGES |  |

### struct EogPropertiesDialog

    struct EogPropertiesDialog;

## Property Details

### The `“netbook-mode”` property

      “netbook-mode”             gboolean

Netbook Mode.

Owner: EogPropertiesDialog

Flags: Read / Write

Default value: FALSE

### The `“next-action”` property

      “next-action”              gchar *

Action for Next button.

Owner: EogPropertiesDialog

Flags: Read / Write / Construct Only

Default value: NULL

### The `“prev-action”` property

      “prev-action”              gchar *

Action for Prev button.

Owner: EogPropertiesDialog

Flags: Read / Write / Construct Only

Default value: NULL

### The `“thumbview”` property

      “thumbview”                EogThumbView *

Thumbview.

Owner: EogPropertiesDialog

Flags: Read / Write / Construct Only